List project sources
curl --request GET \
--url https://api.tensorpro.ai/api/v1/projects/{project_id}/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tensorpro.ai/api/v1/projects/{project_id}/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tensorpro.ai/api/v1/projects/{project_id}/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sources": [
{
"chunk_count": 123,
"created_at": "<string>",
"external_id": "<string>",
"id": "<string>",
"ingest_status": "<string>",
"provenance": "<string>",
"source_type": "<string>",
"title": "<string>",
"updated_at": "<string>"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Projects
List project sources
List the active sources of one of your projects, newest first, including each source’s ingest status and chunk count. Returns 404 when the project is missing or does not belong to you.
GET
/
api
/
v1
/
projects
/
{project_id}
/
sources
List project sources
Authorizations
EDN API key presented as a bearer token in the Authorization header ('Authorization: Bearer '). Create and manage keys from the Console.
